WCSNCASECMP(3)

NAME
wcsncasecmp - compare two fixed-size wide-character strings, ignoring case

SYNOPSIS
#include <wchar.h>

int wcsncasecmp(const wchar_t *s1, const wchar_t *s2, size_t n);

DESCRIPTION
The wcsncasecmp() function is the wide-character equivalent of the strncasecmp() function. It compares the wide-character string pointed to by s1 and the wide-character string pointed to by s2, but at most n wide characters from each string, ignoring case differences (towupper(), towlower()).

RETURN VALUE
The wcsncasecmp() function returns zero if the wide-character strings at s1 and s2, truncated to at most length n, are equal except for case distinctions. It returns a positive integer if truncated s1 is greater than truncated s2, ignoring case. It returns a negative integer if truncated s1 is smaller than truncated s2, ignoring case.

CONFORMING TO
This function is a GNU extension.

SEE ALSO
strncasecmp(3), wcsncmp(3)

NOTES
The behaviour of wcsncasecmp() depends on the LC_CTYPE category of the current locale.